Package com.mouseviator.fsuipc.helpers

# Enum LVarHelper.LVarControlRequestCommand

java.lang.Object
java.lang.Enum<LVarHelper.LVarControlRequestCommand>
com.mouseviator.fsuipc.helpers.LVarHelper.LVarControlRequestCommand

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LVarHelper.LVarControlRequestCommand>`, `java.lang.constant.Constable`

Enclosing class:
  LVarHelper

    public static enum LVarHelper.LVarControlRequestCommand
    extends java.lang.Enum<LVarHelper.LVarControlRequestCommand>

An enumeration representing a command for `LVarHelper.LVarControlRequest`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CREATE` | A constant being used by `LVarHelper.LVarControlRequest` request internally for creating string telling FSUIPC to create given Lvar.
  `READ` | A constant being used by `LVarHelper.LVarControlRequest` request internally for creating string telling FSUIPC to read given Lvar.
  `WRITE` | A constant being used by `LVarHelper.LVarControlRequest` request internally for creating string telling FSUIPC to write to given Lvar.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LVarHelper.LVarControlRequestCommand` | `get​(java.lang.String value)` | Returns `LVarHelper.LVarControlRequestCommand` by corresponding int value.
  `java.lang.String` | `getValue()` |
  `static LVarHelper.LVarControlRequestCommand` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static LVarHelper.LVarControlRequestCommand[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final LVarHelper.LVarControlRequestCommand READ
    A constant being used by `LVarHelper.LVarControlRequest` request internally for creating string telling FSUIPC to read given Lvar.

  - ### WRITE

    public static final LVarHelper.LVarControlRequestCommand WRITE
    A constant being used by `LVarHelper.LVarControlRequest` request internally for creating string telling FSUIPC to write to given Lvar.

  - ### CREATE

    public static final LVarHelper.LVarControlRequestCommand CREATE
    A constant being used by `LVarHelper.LVarControlRequest` request internally for creating string telling FSUIPC to create given Lvar.

- ## Method Details

  - ### values

    public static LVarHelper.LVarControlRequestCommand[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LVarHelper.LVarControlRequestCommand valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public java.lang.String getValue()
    Returns:
      Integer value of this type.

  - ### get

    public static LVarHelper.LVarControlRequestCommand get​(java.lang.String value) throws java.security.InvalidParameterException
    Returns `LVarHelper.LVarControlRequestCommand` by corresponding int value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `LVarHelper.LVarControlRequestCommand` by corresponding string value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.